Part Box: Difference between revisions

From FreeCAD Documentation
(add new info)
No edit summary
 
(73 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:32-->
<!--T:32-->
{{Docnav
{{Docnav
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder|Cylinder]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
Line 15: Line 16:
|Name=Part Box
|Name=Part Box
|MenuLocation=Part → Primitives → Cube
|MenuLocation=Part → Primitives → Cube
|Workbenches=[[Part_Module|Part]]
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


==Description== <!--T:19-->
== Description == <!--T:38-->
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.


<!--T:20-->
<!--T:19-->
The [[Image:Part_Box.svg|24px]] '''Part Box''' command creates a parametric box solid, a [https://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid]. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.
[[Image:Part_Box.jpg|400px|Part_Box]]


</translate>
==Usage== <!--T:21-->
[[Image:Part_Box_Example.png|400px]]
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
<translate>

== Usage == <!--T:39-->

<!--T:4-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Box.svg|16px]]}} button in the toolbar.
#* Press the {{Button|[[Image:Part_Box.svg|16px]] [[Part_Box|Part Box]]}} button.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} from the menu bar.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} option from the menu.
# The box is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the box by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example == <!--T:43-->
'''Result:''' The default result is a box with an equal length, width and height of 10 mm. It is attached the the global xy-plane and one edge is coincident with the global z-axis.


<!--T:44-->
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.
[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]


==Options== <!--T:22-->
<!--T:45-->
A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
* Via the [[Property_editor|Property Editor]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties== <!--T:23-->
== Notes == <!--T:46-->

{{Properties_Title|Base}}
<!--T:47-->
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.

== Properties == <!--T:40-->

<!--T:48-->
See also: [[Property_editor|Property editor]].

<!--T:49-->
A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data === <!--T:50-->

<!--T:51-->
{{TitleProperty|Attachment}}

<!--T:52-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:41-->
{{TitleProperty|Box}}


<!--T:24-->
<!--T:24-->
* {{PropertyData|Length|Length}}: The length of the box. This is the dimension in its X direction. The default is {{Value|10mm}}.
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
* {{PropertyData|Width|Length}}: The width of the box. This is the dimension in its Y direction. The default is {{Value|10mm}}.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
* {{PropertyData|Height|Length}}: The height of the box. This is dimension in its Z direction. The default is {{Value|10mm}}.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


<!--T:25-->
== Scripting == <!--T:42-->

[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]
<!--T:53-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:26-->
A Part Box can be created with the {{Incode|addObject()}} method of the document:


==Scripting== <!--T:26-->
The Box command can by used in [[Macros|macros]] and from the python console using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
}}
<translate>
<translate>

<!--T:27-->
<!--T:27-->
* Where "myBox" is the label for the Box object.
* Where {{Incode|"myBox"}} is the name for the object.
* The function returns the newly created object.
* Returns newly created object of type Box.


<!--T:28-->
<!--T:54-->
Example:
You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
</translate>
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}
<translate>


<!--T:31-->
You can change its placement with:
</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}
<translate>
<translate>
Line 91: Line 124:
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder|Cylinder]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
Line 98: Line 131:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 20:53, 3 March 2022

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Box command creates a parametric box solid, a rectangular cuboid. In the coordinate system defined by its DataPlacement property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Box button.
    • Select the Part → Primitives → Cube option from the menu.
  2. The box is created.
  3. Optionally change the dimensions and DataPlacement of the box by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

  • DataLength (Length): The length of the box. This is the dimension in its X direction. The default is 10mm.
  • DataWidth (Length): The width of the box. This is the dimension in its Y direction. The default is 10mm.
  • DataHeight (Length): The height of the box. This is dimension in its Z direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Box can be created with the addObject() method of the document:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()